<div class = "Menu">
  <div class = "Lines">
      <div class = "line1"></div>
      <div class = "line2"></div>
      <div class = "line3"></div>
      <div class = "line4"></div>
  </div>
  <div class="user">
    <p class="email"><b>email: </b>{{email}}</p>
    <button (click) = "logOut()"><span>Log Out</span><mat-icon>exit_to_app</mat-icon></button>
  </div>
  <mat-spinner *ngIf="loading" class = "Spinner"></mat-spinner>
  <div class = "BuyItem" *ngIf="!loading">
    <div class = "items">
      <div class="menuItems">
        <div class="item" *ngFor = "let item of items; let i = index">
          <img class = "itemImage" [src] = "images[i]" />
          <div class="itemInfo">
            <p class = "itemPrice">${{prices[i]}}</p>
            <h1 class = "itemHeading">{{item.title}}</h1>
            <p class = "itemIngredients">{{item.ingredients}}</p>
            <div class = "add">
              <mat-spinner *ngIf="basketLoading" class="basketLoading" [diameter]="25"></mat-spinner>
              <div *ngIf = "!basketLoading">
                <button class = "addToCart" (click) = "AddToCart(i,prices[i])" [id] = "i" *ngIf = "!addToCartBtns[i]">Add to cart</button>
                <div class = "inrementDecrementSection" [id] = "i" *ngIf = "addToCartBtns[i]">
                  <button class = "minus" (click) = "removeFromCart(i)">
                    <mat-icon>remove</mat-icon>
                  </button>
                  <p class = "count">{{basketCounts[i]}}</p>
                  <button class="plus" (click)= "AddToCart(i)">
                    <mat-icon>add</mat-icon>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="basket">
      <h1>Basket</h1>
      <div class="basketItems">
        <div class="basketItem" *ngFor="let item of basket">
          <p class = "basketItemHeading">{{item.title}}</p>
          <p class = "basketItemCount">x{{item.count}}</p>
          <p class = "basketItemIngredients">{{item.ingredients}}</p>
          <mat-icon class = "deleteItem" (click) = "deleteFromBasket(item.index)">delete</mat-icon>
        </div>
      </div>
      <div class = "checkout">
        <p class = "Total">Total</p>
        <p class = "TotalPrice">${{total}}</p>
        <button class = "checkoutBtn" (click) = "CheckOut()">Check out</button>
      </div>
    </div>
  </div>
</div>
